DELETE FROM TIPO_MOVIMIENTO;
DELETE FROM PEDIDO_VENTA_DETALLE; 
DELETE FROM PEDIDO_VENTA_ESTADO; 
DELETE FROM PEDIDO_VENTA;
DELETE FROM CLIENTE_CONTACTO;
DELETE FROM PROVEEDOR_CONTACTO;
DELETE FROM CONTACTO;
DELETE FROM CLIENTE;
DELETE FROM PROVEEDOR_PRODUCTO;
DELETE FROM PRODUCTO_MULTIMEDIO;
DELETE FROM PROVEEDOR;
DELETE FROM MULTIMEDIO;
DELETE FROM ALMACEN_PRODUCTO;
DELETE FROM PRODUCTO;
DELETE FROM ALMACEN;
DELETE FROM MARCA;
DELETE FROM LINEA;
DELETE FROM INDUSTRIA;  
DELETE FROM USUARIO_PERFIL;
DELETE FROM USUARIO;
DELETE FROM PERFIL;
DELETE FROM FORMA_DE_PAGO;
DELETE FROM ESTADO;

-- =================================================================================

INSERT INTO PERFIL VALUES ('root'        ,'Super Usuario');
INSERT INTO PERFIL VALUES ('pmarlenuser' ,'Usuario Comun');
INSERT INTO PERFIL VALUES ('admin' 	   ,'Administrador');
INSERT INTO PERFIL VALUES ('finances' 	   ,'Finanzas');
INSERT INTO PERFIL VALUES ('stock' 	   ,'Almacen');
INSERT INTO PERFIL VALUES ('sales' 	   ,'Vendedor');

INSERT INTO USUARIO VALUES ('root'		,1,'root'							,'977244cbc826a0f25d07a07f194835b1'	,'root@perfumeriamarlen.com.mx',NULL,NULL);

INSERT INTO USUARIO_PERFIL VALUES ('root'		,'root');
INSERT INTO USUARIO_PERFIL VALUES ('root'		,'pmarlenuser');

INSERT INTO FORMA_DE_PAGO (ID,DESCRIPCION)  VALUES (1,'EFECTIVO');
INSERT INTO FORMA_DE_PAGO (ID,DESCRIPCION)  VALUES (2,'T.C.');
INSERT INTO FORMA_DE_PAGO (ID,DESCRIPCION)  VALUES (3,'VALES DESPENSA');
INSERT INTO FORMA_DE_PAGO (ID,DESCRIPCION)  VALUES (4,'OTRO');

INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (1    ,'CAPTURADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (2    ,'SINCRONIZADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (4    ,'VERIFICADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (8    ,'SURTIDO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (16   ,'FACTURADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (32   ,'ENVIADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (64   ,'ENTREGADO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (128  ,'DEVUELTO');
INSERT INTO ESTADO (ID,DESCRIPCION) VALUES (65535,'CANCELADO');

INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (10,'CREACION');
INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (20,'ENTRADA_ALMACEN');
INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (30,'SALIDA_ALMACEN');
INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (50,'TIPO_MOV_MODIFICACION_COSTO_O_PRECIO');
INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (51,'TIPO_MOV_MODIFICACION_CODIGOBARRAS');
INSERT INTO TIPO_MOVIMIENTO (ID,DESCRIPCION) VALUES (52,'TIPO_MOV_MODIFICACION_NOMBRE_DESCRIPCION');

INSERT INTO SUCURSAL (ID,ID_PADRE,NOMBRE,CALLE,NUM_INTERIOR,NUM_EXTERIOR,POBLACION_ID,TELEFONOS,COMENTARIOS) VALUES(1,NULL,'PERFUMERIA MARLEN S.A. DE C.V.','C.ORQUIDEAS','MZ5','LT6 S/N',60816,'(55)59362597','CENTRO DE DISTRIBUCION');
INSERT INTO SUCURSAL (ID,ID_PADRE,NOMBRE,CALLE,NUM_INTERIOR,NUM_EXTERIOR,POBLACION_ID,TELEFONOS,COMENTARIOS) VALUES(2,1   ,'PERFUMERIA MARLEN SUCURSAL 1','Francisco Villa','MZ98','LT3 No.121',60818,'(55)59362597','NUEVA SUCURSAL 1');

INSERT INTO ALMACEN (ID,SUCURSAL_ID,TIPO_ALMACEN) VALUES(1,1,1);
INSERT INTO ALMACEN (ID,SUCURSAL_ID,TIPO_ALMACEN) VALUES(2,1,2);

INSERT INTO ALMACEN (ID,SUCURSAL_ID,TIPO_ALMACEN) VALUES(3,2,1);
INSERT INTO ALMACEN (ID,SUCURSAL_ID,TIPO_ALMACEN) VALUES(4,2,2);
	
UPDATE USUARIO SET SUCURSAL_ID=1 WHERE USUARIO_ID='root';
